/***********************************
 * Ian Ayres and John J. Donohue III
 * Stanford Law Review
 * Response to Plassman and Whitley
 * Table 3a.2
 * Lott's Newest County dataset
 * Replication of PW's Table 3
 * Lott-Spline Model
 * 1977-2000
 *********************/

clear
set more off
set mem 300m
set mat 800
use "../Lott6", clear
log using "ReplyT3a.2.log", replace
#delimit ;

drop if YEAR<1977;
drop if YEAR>2000;


xi: areg  lratvio SHLLTRDB SHLLTRDA aovio povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, replace noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratmur SHLLTRDB SHLLTRDA aomur povrate Unemprt execrate rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratrap SHLLTRDB SHLLTRDA aorap povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lrataga SHLLTRDB SHLLTRDA aoaga povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratrob SHLLTRDB SHLLTRDA aorob povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratpro SHLLTRDB SHLLTRDA aopro povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lrataut SHLLTRDB SHLLTRDA aoaut povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratbur SHLLTRDB SHLLTRDA aobur povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

xi: areg  lratlar SHLLTRDB SHLLTRDA aolar povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o 
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg SHLLTRDB SHLLTRDA using ReplyT3a.2.xls, append noparen nolabel coefastr se 3aster;

test SHLLTRDB=SHLLTRDA;

log close;


